> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/shipping-in-api/search-shipping-methods.md).

# Search shipping methods

Use **searchShippingMethods** to retrieve information on the shipping methods currently defined on your account.

## Search filters

Use the parameters below to filter the results of your search for shipping methods.

<table><thead><tr><th width="202.2667236328125">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>Name</code></td><td><p><strong>Optional (string)</strong></p><p>Name of the shipping method.</p></td></tr><tr><td><code>Codes</code></td><td><p><strong>Optional (array of strings)</strong></p><p>Codes assigned to the shipping methods.</p></td></tr><tr><td><code>Countries</code></td><td><p><strong>Optional (array of strings)</strong></p><p>Countries to which the shipping method is assigned.</p></td></tr><tr><td><code>Active</code></td><td><p><strong>Optional (boolean)</strong></p><p>TRUE — active shipping methods; </p><p>FALSE — inactive shipping methods.</p></td></tr><tr><td><code>Pagination</code></td><td><p><strong>Optional (object)</strong></p><p>Control the results pagination. See sub-parameters below.</p></td></tr><tr><td><code>Pagination.Page</code></td><td><p><strong>Optional (integer)</strong></p><p>Number of pages to display the results</p></td></tr><tr><td><code>Pagination.Limit</code></td><td><p><strong>Optional (integer)</strong></p><p>Limit the number of results of the search</p></td></tr></tbody></table>

### Request sample

```php
<?php

require ('PATH_TO_AUTH'); // authentication call

$SearchOptions = new \stdClass();
$SearchOptions->Name = 'ShippingMethodName'; // search for a specific shipping method
$SearchOptions->Codes = ['Code1', 'Code2', 'Code3']; // array of shipping method codes
$SearchOptions->Countries = ['US', 'UK', 'AU']; // array of country codes
$SearchOptions->Active = true; // only active shipping methods
$SearchOptions->Pagination = new \stdClass();
$SearchOptions->Pagination->Page = 1; // set display pages
$SearchOptions->Pagination->Limit = 200; // limit the results

$jsonRpcRequest = array (
'jsonrpc' => '2.0',
'id' => $i++,
'method' => 'searchShippingMethods',
'params' => array($sessionID, $SearchOptions)
);
var_dump (callRPC((Object)$jsonRpcRequest, $host));
```

## Response parameters

<table><thead><tr><th width="177.7333984375">Parameter</th><th>Type</th></tr></thead><tbody><tr><td><a href="/pages/889995a6a2b2d132e9ae8addb86799f59103b765"><code>ShippingMethod</code></a></td><td><strong>Object</strong></td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.2checkout.com/json-rpc-api-reference/json-rpc-api-6.0/api-requests/shipping-in-api/search-shipping-methods.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
